FROM smallstep/step-ca:0.18.0
MAINTAINER "RMT"
USER root
# Configure Internal Mirror
RUN apk add --no-cache jq

ADD https://mirror.rmt/certificates/rmt.crt /usr/local/share/ca-certificates/rmt.crt
RUN update-ca-certificates

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh
USER step
ENTRYPOINT ["/entrypoint.sh"]